<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.undertow.server.host.setting.console-access-log" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="attributes,include-host-name,metadata,predicate,worker"/>
        <elem name="addr-params" value="profile,subsystem,server,host,setting"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.undertow"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.undertow.host.console-access-log.$server.$host.console-access-log"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.io.worker.$worker" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.undertow.server.host"/>
        <ref feature="subsystem.undertow.server"/>
        <ref feature="subsystem.undertow"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="server" feature-id="true"/>
        <param name="include-host-name" nillable="true" stability="default"/>
        <param name="predicate" nillable="true" stability="default"/>
        <param name="metadata" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="undertow"/>
        <param name="attributes" nillable="true" stability="default"/>
        <param name="worker" nillable="true" default="default" stability="default"/>
        <param name="setting" feature-id="true" default="console-access-log"/>
    </params>
</feature-spec>